| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions

# Tp::ContactFactory Class Reference

Constructs Contact objects according to application-defined settings. More...

`#include <TelepathyQt4/ContactFactory>`

Inherits Tp::RefCounted.

List of all members.

## Public Member Functions

- virtual ~ContactFactory ()

## Static Public Member Functions

- static ContactFactoryPtr create (const QSet< Contact::Feature > &features=QSet< Contact::Feature >())

## Protected Member Functions

- ContactFactory (const QSet< Contact::Feature > &features)
- virtual ContactPtr construct (Tp::ContactManager *manager, const ReferencedHandles &handle, const QSet< Contact::Feature > &features, const QVariantMap &attributes) const
- virtual PendingOperation * prepare (const ContactPtr &contact) const

## Detailed Description

Constructs Contact objects according to application-defined settings.

Todo:
  Actually implement it. Currently it's just a placeholder.

## Constructor & Destructor Documentation

Tp::ContactFactory::~ContactFactory | ( |  | ) | `[virtual]`

Class destructor.

Tp::ContactFactory::ContactFactory | ( | const QSet< Contact::Feature > & | features | ) | `[protected]`

Class constructor.

Parameters:

  | features | The features to make ready on constructed Contacts.

## Member Function Documentation

ContactFactoryPtr Tp::ContactFactory::create | ( | const QSet< Contact::Feature > & | features = `QSet<Contact::Feature>()` | ) | `[static]`

Creates a new ContactFactory.

Parameters:

  | features | The features to make ready on constructed Contacts.

Returns:
  A pointer to the created factory.

ContactPtr Tp::ContactFactory::construct | ( | Tp::ContactManager * | manager,
|  | const ReferencedHandles & | handle,
|  | const QSet< Contact::Feature > & | features,
|  | const QVariantMap & | attributes |
| ) |  |  | const`[protected, virtual]`

Can be used by subclasses to override the Contact subclass constructed by the factory.

Todo:
  implement it...

Returns:
  A pointer to the constructed Contact object.

PendingOperation * Tp::ContactFactory::prepare | ( | const ContactPtr & | contact | ) | const`[protected, virtual]`

Can be used by subclasses to do arbitrary manipulation on constructed Contact objects.

Todo:
  implement it...